/*
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

#![deny(warnings)]
#![deny(rust_2018_idioms)]
#![deny(clippy::all)]

mod extract_graphql;
mod file_categorizer;
mod file_group;
mod file_source;
mod query_builder;
mod watchman_file;

pub use self::extract_graphql::{extract_graphql_strings_from_file, source_for_location};
pub use file_categorizer::categorize_files;
pub use file_group::FileGroup;
pub use file_source::{FileSource, FileSourceResult, FileSourceSubscription};
pub use watchman_client::prelude::Clock;
pub use watchman_file::{read_to_string, WatchmanFile};
